aboutsummaryrefslogtreecommitdiffstats
path: root/nessus/doinst.sh
diff options
context:
space:
mode:
authorDanilo M. <danix@danix.xyz>2026-04-03 22:38:52 +0200
committerDanilo M. <danix@danix.xyz>2026-04-03 22:38:52 +0200
commitff22ff3ffa55cc607aacc1bf4fa026e651466c9a (patch)
tree6b0ebb98cf1bb666c2c7e513b43be481ce7c7b09 /nessus/doinst.sh
parentc393d0e98cd3fdf02305f7659afa1bb1e4a02a7e (diff)
downloadslackware-pentesting-suite-ff22ff3ffa55cc607aacc1bf4fa026e651466c9a.tar.gz
slackware-pentesting-suite-ff22ff3ffa55cc607aacc1bf4fa026e651466c9a.zip
moved all packages to the root of the repository
Diffstat (limited to 'nessus/doinst.sh')
-rw-r--r--nessus/doinst.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/nessus/doinst.sh b/nessus/doinst.sh
new file mode 100644
index 0000000..d27a6df
--- /dev/null
+++ b/nessus/doinst.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+if [ -e /etc/rc.d/rc.nessusd ]; then
+ chroot . sh /etc/rc.d/rc.nessusd status > /dev/null 2>&1
+ RETVAL=$?
+ if [ "$RETVAL" == "0" ]; then
+ chroot . sh /etc/rc.d/rc.nessusd stop > /dev/null 2>&1
+ fi
+fi
+
+preserve_perms etc/rc.d/rc.nessusd.new
+
+echo ""
+echo "Unpacking Nessus Core Components..."
+chroot . /opt/nessus/sbin/nessuscli install /opt/nessus/var/nessus/plugins-core.tar.gz
+
+echo " - You can start Nessus by typing sh /etc/rc.d/rc.nessusd start"
+echo " - Then go to https://"`hostname`":8834/ to configure your scanner"
+echo ""